package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.SysClique;
import cn.superdesk.uniorder.dto.param.organisation.SysCliqueFindByTreeCriteria;
import cn.superdesk.uniorder.dto.vo._function.tree.SysCliqueTreeModel;

import java.util.List;

public interface SysCliqueMapperEx {


	int insertSelective(SysClique record);

	/**
	 * 三个表的id这样弄会有问题,挂错节点
	 *
	 * @return
	 */
	@Deprecated
	List<SysCliqueTreeModel> findByTree();


	/**
	 * 集团分公司 自己的树
	 *
	 * @return
	 */
	List<SysCliqueTreeModel> findByTree002(SysCliqueFindByTreeCriteria queryCriteria);

	/**
	 * 集团分公司 X 项目
	 *
	 * @return
	 */
	List<SysCliqueTreeModel> findByTree003(SysCliqueFindByTreeCriteria queryCriteria);

	/**
	 * 项目 X 企业
	 *
	 * @return
	 */
	List<SysCliqueTreeModel> findByTree004(SysCliqueFindByTreeCriteria queryCriteria);


}
